=== modified file 'Makefile.docker'
--- Makefile.docker	2017-07-20 16:26:31 +0000
+++ Makefile.docker	2017-07-20 17:06:47 +0000
@@ -1,7 +1,3 @@
-# use system binaries instead of relying on virtualenv
-CELERY = celery
-GUNICORN = gunicorn
-PYTHON = python
 
 ENV = $(CURDIR)/env
 PROJECT_NAME = django_project
@@ -22,7 +18,7 @@
 
 
 $(ENV):
-	virtualenv --clear $(ENV)
+	virtualenv --clear --system-site-packages $(ENV)
 	$(ENV)/bin/pip install --find-links=$(WHEELS_DIR) --no-index -r requirements-docker.txt
 
 docker-build: version  ## Build images
@@ -52,16 +48,16 @@
 ### targets for in-container use
 
 app-update-db:
-	$(MAKE) manage ARGS='syncdb --noinput' PYTHON=$(PYTHON)
-	$(MAKE) manage ARGS='migrate --noinput' PYTHON=$(PYTHON)
+	$(MAKE) manage ARGS='syncdb --noinput' PYTHON=python
+	$(MAKE) manage ARGS='migrate --noinput' PYTHON=python
 
 app-start: BIND=0.0.0.0:8000
 app-start: WORKERS=3
 app-start: app-update-db collectstatic
-	$(GUNICORN) --workers=$(WORKERS) --bind=$(BIND) $(PROJECT_NAME).wsgi:application
+	gunicorn --workers=$(WORKERS) --bind=$(BIND) $(PROJECT_NAME).wsgi:application
 
 worker-worker:
-	$(PYTHON) $(PROJECT_NAME)/celeryapp.py worker
+	python $(PROJECT_NAME)/celeryapp.py worker
 
 worker-beat:
-	$(PYTHON) $(PROJECT_NAME)/celeryapp.py beat
+	python $(PROJECT_NAME)/celeryapp.py beat

=== modified file 'requirements-docker.txt'
--- requirements-docker.txt	2017-07-20 15:52:04 +0000
+++ requirements-docker.txt	2017-07-20 17:06:47 +0000
@@ -1,5 +1,6 @@
 # direct dependencies
 docker_compose==1.14.0
+
 # indirect dependencies
 PyYAML==3.12
 backports.ssl_match_hostname==3.5.0.1

